filter_has_var
filter_input_array
Filter Functions
PHP Manual

# filter_id

(PHP 5 >= 5.2.0, PECL filter:0.11.0)

filter_id — Returns the filter ID belonging to a named filter

### Description

int filter_id ( string `$filtername` )

### Parameters

`filtername`

  Name of a filter to get.

### Return Values

ID of a filter on success or `NULL` if filter doesn't exist.

### See Also

- filter_list()

filter_has_var
filter_input_array
Filter Functions
PHP Manual